Subject: Re: Xalan and path problem
From: Thomas Porschberg <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 29 Sep 2006 15:48:02 +0200

Am Fri, 29 Sep 2006 15:41:47 +0200
schrieb Markus Schönhaber <[email-masked]>:

> Thomas Porschberg wrote:
> > we use Xalan on our UNIX/LINUX machines and I want now to the same
> > on Cygwin. I installed Xerces+Xalan(the windows binaries).
> >
> > In our UNIX scripts the call to Xalan is:
> >
> > Xalan -o $RESULTFILE $XMLFILE $XSLFILE
> >
> > where $RESULTFILE, $XMLFILE and $XSLFILE are specified as
> > UNIX-paths.
> >
> > That doesn't work under Cygwin I had to write:
> >
> > Xalan -o `cygpath -w $RESULTFILE` ...
> >
> > Of course I could now write
> > if $cywin ; then
> >  Xalan -o `cygpath -w $RESULTFILE` ...
> > else
> >  Xalan -o $RESULTFILE $XMLFILE $XSLFILE
> > fi
> >
> > but I don't want change the script.
> >
> > Is there another way to solve the problem ?
> 
> You could create a script that cygpath-ifies the parameters and
> passes them to a call to the actual Xalan executable, name that
> script "Xalan" and put it somewhere into the PATH where it gets
> called instead of the actual Xalan binary.
> 
Yes, nice idea and so it should be possible to let the origin code
unchanged. But if I could achieve to compile Xalan on Cygwin,
would the final application then UNIX-path aware ?

Thomas

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/